project-navigation
Personal tools

Author Topic: 2.3 dev version for mac question  (Read 22464 times)

enchantedsord

  • Guest
2.3 dev version for mac question
« on: September 17, 2008, 11:57:01 pm »
Hello,

I did a search and all I can find if info on how to compile the dev version 2.3 for the mac, but i'm not a programmer and have never compiled anything.  Are there any better instructions out there that would help someone like me?  Or even if someone has compiled it is there a download 2.3 anywhere for an intel mac?  I can find one in the windows forum but not here in the mac forum.

anyway any help somone could provide would be great.

Thanks in advance.
 

Offline stevenjackson

  • Rookie
  • ***
  • Posts: 90
    • View Profile
Re: 2.3 dev version for mac question
« Reply #1 on: September 18, 2008, 12:45:57 am »
Hi

I'm one of the mac developers for ufoai.
What are the problems you are having with the instructions?  which part is confusing?

Steve

enchantedsord

  • Guest
Re: 2.3 dev version for mac question
« Reply #2 on: September 18, 2008, 12:51:46 am »
ok so I installed Fink to do the compiling and honestly now sure how to do the compile. 

I was trying to work from this page just to see if I could get a compile to work.
http://ufoai.ninex.info/wiki/index.php/Compile_for_Mac

1 fink install svn-ssl svn-client sdl sdl-ttf gettext libjpeg libpng3
2 mkdir -p ufoai/trunk
3 cd ufoai/trunk
4 svn co https://ufoai.svn.sourceforge.net/svnroot/ufoai/ufoai/trunk . (I was able to get up to this point)
5 ./configure CPPFLAGS="-I/sw/include/" LDFLAGS="-L/sw/lib"
6 make
7 make macinstaller

After when I try to run the line 5 below I get "-bash: /configure: No such file or directory" and can't proceed.

I"m sure i'm just stupid or doing something wrong but I just haven't compiled something outside of making an exe in vb.  Am I even close or way off?

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: 2.3 dev version for mac question
« Reply #3 on: September 18, 2008, 08:14:06 am »
/configure? try ./configure
if that still doesn't work, please post a ls in ufoai/trunk at http://pastebin.com

enchantedsord

  • Guest
Re: 2.3 dev version for mac question
« Reply #4 on: September 18, 2008, 08:40:09 am »
ok so I got further.  guess I wasn't in the trunk dir.

Finally I was able to get step 5 to go but now it's saying

checking build system type... i686-apple-darwin9.5.0
checking host system type... i686-apple-darwin9.5.0
checking target system type... i686-apple-darwin9.5.0
checking system... Mac OS X
checking for sed... yes
checking for echo... yes
checking target OS... configure: error: Could not find SDL Framework at /Library/Frameworks.

Any idea by chance what this means?

Thanks again for the help.


Offline stevenjackson

  • Rookie
  • ***
  • Posts: 90
    • View Profile
Re: 2.3 dev version for mac question
« Reply #5 on: September 18, 2008, 08:58:02 am »
Yep, you missed the first part of the document:

  Preparation: SDL

Download the following:

* SDL
* SDL_mixer
* SDL_ttf

From each of those dmg installers, copy the ".framework" folder to /Library/Frameworks/

its just above the quickstart heading.  follow the links to download them and copy them into /Library/Frameworks/

Steve

enchantedsord

  • Guest
Re: 2.3 dev version for mac question
« Reply #6 on: September 18, 2008, 09:02:47 am »
Well since I had posted I realized this.  Now looking on my mac in the library folder I don't seem to have a frameworks folder at all.  I did create the folder but get same result.  Am I suppose to have to create the frameworks folder or am I looking in wrong place?
« Last Edit: September 18, 2008, 09:24:46 am by enchantedsord »

enchantedsord

  • Guest
Re: 2.3 dev version for mac question
« Reply #7 on: September 18, 2008, 07:10:47 pm »
Ok well i think I figured out that the framework has to go in the system\library\frameworks and I was looking in the user folder\library.

trying again now and hoping this works.

enchantedsord

  • Guest
Re: 2.3 dev version for mac question
« Reply #8 on: September 18, 2008, 09:48:34 pm »
Apparently i'm doomed.  Still not working.


I have moved the  SDL, SDL_mixer and SDL_ttf to the System\library\frameworks folder and tried all the steps again.  still getting

Macbook-Pro:trunk profile$ ./configure CPPFLAGS="-I/sw/include/" LDFLAGS="-L/sw/lib"
checking build system type... i686-apple-darwin9.5.0
checking host system type... i686-apple-darwin9.5.0
checking target system type... i686-apple-darwin9.5.0
checking system... Mac OS X
checking for sed... yes
checking for echo... yes
checking target OS... configure: error: Could not find SDL Framework at /Library/Frameworks.
Macbook-Pro:trunk Profile$

Anyone have any other suggestions?  Does it sound like i'm doing something wrong?

Offline stevenjackson

  • Rookie
  • ***
  • Posts: 90
    • View Profile
Re: 2.3 dev version for mac question
« Reply #9 on: September 19, 2008, 12:10:04 am »


Hmm, i'm not on a mac at the moment.  When i get home i'll just check the exact location of those libraries for me and let you know.
Dont worry we'll sort it out.

Steve

enchantedsord

  • Guest
Re: 2.3 dev version for mac question
« Reply #10 on: September 19, 2008, 12:28:05 am »
ok thanks.  No worries.  now i was thinking maybe the issue is I didn't install the developer tools on the mac cd although I wasn't sure if maybe that was't needed if I installed fink.  Is it?  if it is then I can try that when I get home. 

Thanks again for the help.

Offline stevenjackson

  • Rookie
  • ***
  • Posts: 90
    • View Profile
Re: 2.3 dev version for mac question
« Reply #11 on: September 20, 2008, 12:40:11 pm »

You need to have installed the xcode tools so you get gcc.

In my setup its in /Library/Frameworks not /System/Library/Frameworks which doesn't exist for me
Also make sure you are going from the root directory and not your user base directory.

Steve

Offline Mattn

  • CaveExpress
  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4830
  • www.caveproductions.org
    • View Profile
    • CaveExpress
Re: 2.3 dev version for mac question
« Reply #12 on: September 20, 2008, 01:35:32 pm »
please also make sure, that these informations are going to be added to the wiki please (once you've sorted it all out)

Offline vedrit

  • Sergeant
  • *****
  • Posts: 438
    • View Profile
Re: 2.3 dev version for mac question
« Reply #13 on: October 31, 2008, 08:06:45 am »
just wondering, but is someone going to upload the MAC version? I would LOVE to play these new updates, but I cant even find them for PC, much less MAC

doc.torr

  • Guest
Re: 2.3 dev version for mac question
« Reply #14 on: November 02, 2008, 05:20:22 am »
Hiya, like the game, wishing I'd not spend so long playing it, but.

OK, I've gotten up to the stage where I'm trying desperately to get some antimatter (Mac 2.2.1) but taking forever to disassemble all/any type of UFO.

Do I really need to have a functional workshop to do this? Why can't the workers (who all seem to be male, along with the male scientists BTW) disassemble the UFO in the UFO hangers? What happens if I don't have an antimatter storage dump in that base, but have one in another base: will the antimatter get transferred automatically to the other base's dump?

I, too, am no programmer and would like it if someone would put the mac compilation of the latest build on the site so people like me can download it without stress. :P